Civil 3d - Tutoriais - parte 11 - Seções Transversais

21 milhões de comentários
Bem Bem, já desenhou o corridors?

Então vamos ver agora, como fazer as seções transversais e calcular alguns volumes pelo método das seções...



Vamos lá, primeiro, tenha a mão o desenho do
corridors
, e no menu Sections use o comando CREATESAMPLELINES:




ele te pedirá para selecionar o alinhamento ou clicar na lista:




Escolhi clicar na lista...



Selecionado o alinhamento, irá aparecer uma barrinha de ferramentas:






Ele tem uma penca de funções, pra variar mas o mais comum é você querer desenhar todas as seções de uma vez, então clique o seguinte botão:




Com ele, basta informar alguns parâmetros e ele irá desenhar todas as seções, veja:




Aqui configure quanto a seção irá se estender alem do eixo para a esquerda e para a direita e qual o incremento, ou de quanto em quanto fazer a seção, por enquanto, faça como na figura, depois experimente outras combinações...

Clique "OK" e feche a barra de ferramentas de edição de seções...



Putz... esta tela abaixo apareceu?






Caso positivo, e você já se incomodou com ela (se não te atrapalhou AINDA, acredite, ela ainda vai, hehehehe), vamos até esta tela (Toolspace, settings):




Nesta aba você altera o "Show Event Viewer" para "NO":






Voltando... As seções apareceram?




Aqui sim!!! hehehe



Agora, no Toolspace (comando ShowTS), vá na aba prospector, encontre seu alinhamento, e veja que apareceu a SAMPLE LINE GROUP, já peça propriedades nela:






Vamos ver outra tela cheia de abas... em information, podemos trocar o nome do grupo de seções... trivial não?



Na aba sample lines vamos ver uma listagem de todas as seções deste grupo... ali podemos editar o estilo da
linha da seção, para isso clique na coluna "Style", vai aparecer aquele quadrinho para decidir o que fazer:




Bom, é bem intuitivo... coloque a linha num layer próprio... depois você baixa o meu dwg e vê como ficaram as minhas seções...



Bem aqui uso estacas de 20m... para aparecer assim, usamos o formato "Station Index"

Certo... mas a algo de estranho no civil 3d, que não deixa mostrar as estacas dessa forma nas seções!!!!



Para contornar isso, vamos montar uma pequena "Expression". Mas o que são expressions? são expressões oras!!! são como equações que retornam valores em formatos específicos. Na verdade já mostrei aqui uma vez como fazer isso... (claro que as imagens o
Google enfiou...)




Configure assim:




A primeira expressão será:

FLOOR({Sample Line Raw Station}/20)

Clique OK, e repita o processo para criar a expressão da parte "quebrada" da estaca, ficará assim:

if(FMOD({Sample Line Raw Station},20)!=0,FMOD({Sample Line Raw Station},20),0)








Voltando... Volte a pedir as propriedades das seções lá no prospector e na aba "Sample Lines" clique aquele botão escrito "Edit Group Labels"



Aparece esta tela:




Veja que já tenho um estilo definido na coluna Style... vamos ver como ele é:




Veja que configurei de propósito o texto assim:

<[estaca_cheia(P0|RN|AP|Sn|OF)]>+<[estaca_quebrada(P2|RN|AP|Sn|OF)]>

<[Sample Line Station Value(Um|FSI|P2|RN|AP|Sn|TP|EN|DZY|W0|OF)]>


Clique os OK necessários e veja o desenho como ficou:






Estranho né? Deveria ser o mesmo texto... Em fim... agora você já sabe uma utilidade das expressions...



Bom e que tal vermos o que estas seções fazem afinal?

Lembra que calculamos o volume de corte e aterro para o nosso corridors?

Vamos calcular pelo método das seções agora...

Então peça propriedades das sample lines outra vez:




Vá até a aba "Sections" vai ter algumas seções lá:




Se não tiver, clique o botão "sample more sources"...



Ah, veja que neste exemplo, tem a seção que vem do terreno, a que vem do
corridors e a que vem da superfície datum que criamos no tutorial anterior... defina estilos diferentes para cada um deles... é simples e se parece com as outras janelas já mostradas...



Agora, vá ate a aba "Material List" e clique o botão "Add new material"

Depois clique o botão "+" azul que aparece no "Define material"... veja que a superfície passa para o novo material... bem, tente fazer parecer com a tela abaixo...




Detalhe: as duas superfícies, TERRENO e DATUM A0 só aparecerão na lista do "Define Material" se elas foram adicionadas na aba "Sections"...



Veja também que defini estilos diferenciados para os materiais e dei nomes as eles, a saber: CORTE e ATERRO (por que será né???, hehehe)



Feito... agora que tal ver como ficaram estas seções??? isto é fazer as "Section Views" delas??



Vamos lá, menu Sections, "Create Multiple Sections Views" ou o comando CREATEMULTIPLESECTIONVIEW:






Aparecerá uma tela... mais uma, hehehe nela escolha o alinhamento A0 e a sample line group que desenhamos ( se já não estiver assim na tela...)




Deixe o "Data Bands" desmarcado... clique OK, escolha o ponto de inserção e pronto...

Se as seções aparecerem cheias de textos sobrepostos, são as labels, você pode apagar elas...

Veja, escolhi a seção da estaca 8:






Em verde o aterro, amarelo é corte e a seção do corridors também foi desenhada

Ah, claro, suas seções podem não sair já tão bem assim, pois você não configurou um estilo para as mesmas... bem isso eu vou deixar a seu cargo, vá até o Toolspace, na aba Settings, procure o Estilo das "Section Views" e clique editar (botão direito do mouse):




E divirta-se!!!

Agora, vamos ver umas tabelas...

Use o comando GENERATEQUANTITIESREPORT:




Escolha o alinhamento, a sample line group e a material list:




Clica OK... vai abrir o navegador, talvez fale algo de scripts... apenas clique OK... e aparecerá:




Pronto!!!



A mesma tabela também pode ser inserida no CAD, para isso use o comando ADDTOTALVOLUMETABLE, que está no menu Sections, Add tables, Total Volume



Veja que as colunas da tabela falam da área da seção transversal de corte e aterro (cut and fill), do volume de corte e aterro, etc... familiar não? use sua planilha de bruckner para fazer o cálculo das movimentações de terra!!!



Ah, o civil 3d 2009 faz o diagrama de massa e desenha, assim que eu descobrir como que usa, eu posto aqui, valeu?

Dwg deste tutorial

Excel escravizando o autocad

11 milhões de comentários
Uma simples macro que exemplifica como o excel poderia criar layers no autocad!!
Veja o código...
'adicione as referencias:
'autocad 2008 type library (ou a sua versão)
'autocad/objectdbx commom 17.0 type libray (ou a sua versão do cad)

'define as variaveis globais a seguir
Dim Acad As IAcadApplication
Dim Thisdrawing As AcadDocument

'função que "linka" o cad QUE JÁ ESTÁ ABERTO
'se nao estiver aberto, abra-o, ou implemente a função CREATEOBJECT
Function getacaddoc() As Boolean
On Error GoTo erro
'corrija aqui a versão correta do seu autocad
'2009 => 17.2
'2008 => 17.1
'2007 => 17.0
Set Acad = GetObject(, "Autocad.Application.17.1")

'pega o dwg que estiver aberto
Set Thisdrawing = Acad.ActiveDocument
ok:
getacaddoc = True
Exit Function
erro:
getacaddoc = False
End Function

'função que obtem um layer pelo seu nome, criando caso nao exista
Function get_or_create_layer(name As String) As AcadLayer
On Error GoTo cria
Set get_or_create_layer = Thisdrawing.Layers.Item(name)
Exit Function
cria:
Set get_or_create_layer = Thisdrawing.Layers.Add(name)
End Function


'macro que cria layers no cad no dwg que estiver aberto
'defina a coluna "A" da planilha atual com os nomes
'defina a coluna "B" com as cores dos layers
'exemplo:
' A B
'1 teste 1
'2 jj 5
'3 lay2 66

Sub Teste()
If getacaddoc() Then
'MsgBox Thisdrawing.Name
Else
MsgBox "Erro:" & Err.Description
Err.Clear
Exit Sub
End If

Dim layer As AcadLayer
Dim i As Long

For i = 1 To 10
If Me.Cells(i, 1) <> "" Then
Set layer = get_or_create_layer(Me.Cells(i, 1))
layer.Color = Me.Cells(i, 2)
End If
Next
MsgBox "Pronto!!"
End Sub

Para usar, abra o excel, nele abra o editor do visual basic for applications e cole o código na "Plan1" por exemplo...


Em seguida, preencha a coluna "A" com o nomes dos layers a criar e na coluna "B" as cores, por exemplo, A1=lay1, A2=lay2 e B1=1 B2=3:

Depois aperte o "Play" hehehehe

Ah, claro, não esqueça de adicionar as referencias (menu ferramentas, referências no editor do vba):
autocad 2008 type library (ou a sua versão)
autocad/objectdbx commom 17.0 type libray (ou a sua versão do cad)
e claro, tenha o excel e o autocad já abertos nas planilhas e dwg de ua escolha!!

é isso...

Civil 3d - Tutoriais - Parte 10 - Corridor

24 milhões de comentários
Agora sim, vamos fazer algo que se pareça mais com egenharia, hehehehe, primeiro, pegue um desenho que tenha alinhamentos e greides ja definidos





Paara modelar uma rua, claro, precisa da seção tipo


Er... me ocorreu que você talvez não tenha entendido bulhufas do tutorial anterior.... lamento... não se preocupe fará sentido agora

Uma estrada, rua, ou "corridor" se preferir, nada mais é que um "extrude" da seção tipo caminhando pelo alinhamento em sei greide... nada mais que isso

Claro, com algumas peculiaridades, por exemplo, o pavimento poderá sofrer variação da largura (com um taper por exemplo), ou da superelevação, alias, superelevação é um tema que não abordei no tutorial de alinhamentos... voltaremos a falar disso mais pra frente...

Mas pra que nos servirá modelar o dito corridor? Bem... ele serve "pra inglês ver", para você tirar quantitativos de volume de CBUQ, terraplenagem, base, subbase, etc...

Serve até para você corrigir greides!!!

Bom, vamos lá, use o comando CREATECORRIDOR:


Este comando inicia pedindo uma "baseline" na linha de comando... baseline é o alinhamento da rua, selecione-o... no exemplo, eu vou fazer do alinhamento A0.
Ah, se você clicar o botão direito do mouse ( ou clicar ENTER) sem selecionar o alinhamento, aparece este quadro:


Selecione o alinhamento e clique OK.
A próxima coisa que ele vai pedir é o perfil a ser usado, aqui entra o Greide!!
Se fizer o mesmo (clicar ENTER sem selecionar nada):



E agora, a seção tipo (mesmo esquema):



Feito isso, aparecerá a tela de criação do corridor:



Nela dê um nome ao Corridor. Que seja um nome inteligente, por exemplo, o mesmo nome da rua!!
Agora analise o resto da tela... Na primeira coluna, temos o nome da Baseline, normalmente incremental (1,2,3...) e na proxima coluna, em quê alinhamento ela está, veja que aparece o A0, que selecionamos no início.
Na coluna "Profile", aparece o nome do Greide deste alinhamento e na coluna "Assembly" tem no nome da seção tipo.

Bem trivial não?
As duas próximas colunas nos dizem a estaca inicial e final do corridor. Imagine um alinhamento que tenha 100 metros, mas queremos modelar uma estrada de apenas 50, é só definir as estacas que queremos!! Para isso, clique aquele pequeno ícone que está na célula da estaca; A tela de edição do corridor irá se esconder e você poderá ver em planta a estaca.
Aqui cabe uma observação:
Apesar do estaqueamento do alinhamento ser de 20 em 20 metros, os valores que aparecem nestas 2 colunas são referentes as estacas de 100 em 100 metros... e não adianta, se você escrever 3+15m lá, não será 3*20+15 que o civil 3d entenderá!! Será 315 (3*100+15)

Só irão aparecer estacas de 20 em 20 nestas colunas DEPOIS que você modelar o corridor, sair desta tela e entrar novamente... aguarde e confie...

Talvez o maior problema esteja nas colunas "Frequency" e "Target". Na primeira, você deve informar de quanto em quanto o civil 3d irá desenhar a seção tipo. Não escolha valores pequenos até ter certeza do que esta fazendo...
Valores pequenos? Denovo: quequeíssomermão??? hehehe, imagine uma rua de 100 metros... você so quer ter certeza que a estaca inicial e final estão marcadas corretamente e que configurou os "Targets" corretamente (já vou falar dele) não tem necessidade de modelar a cada 1 metro... daria 101 seções... se escolhesse 25m, dariam apenas 5, o que seria bem mais rápido... e acredite, isso pode demorar!!!
Para acertar este valor, clique os três pontinhos da célula:



A tela que se abre é autoexplicativa:



A não ser pelo segundo quadro, nele você define "estacas especiais" que dever ser modeladas além daquelas que forem abrangidas pelo método normal... não esquente com elas ainda.

Agora, clique os tres pontinhos da coluna "Target", aparecerá esta tela:


Aqui definimos onde o "Daylight" (a linha do talude) irá se projetar, veja que em "Surfaces" escolhi a superfície do terreno:


Veja que a "subassembly" do "daylight" tem duas linhas, uma para corte outra para aterro. Somente uma delas irá atingir o terreno, correto? é isso que acontece...

Agora, imagine que quiséssemos fazer uma superlagura, ou um TAPER, deveriámos para isso, criar um alinhamento que nos dissesse aonde esta a borda do pavimento, já que a largura deste irá variar e, assim, colocaríamos o "Target" do "LaneOutSideSuper" (pavimento) que precisamos (que é a borda do pavimento) neste alinhamento.

Ainda, imagine que a rua tem uma superelevação incomum (diferente daquelas fornecidas pelo alinhamento), ou uma rampa. A borda do pavimento deveria seguir com a cota diferenciada deste alinhamento da superlargura... Logicamente deveríamos colocar lá o greide do alinhamento da borda!!

Não se preocupe, Interseção de corridor usa TODOS os "targets" visíveis nesta tela, quando desenharmos uma interseção, ficará claro. Por enquanto, preocupe-se apenas com o "Target" da do "Daylight", na seção "Surface" desta tela.

Bom, clique os OK que precisar, vai modelar, em seguida coloque para visualizar em 3d:



Vemos a nossa seção tipo desenhada em 3d e as diversas seções conectadas umas as outras por linhas que chamamos "FEATURE LINES". Elas tem utilidades que veremos mais adiante...

Agora, que tal sabermos quanto de corte e aterro precisamos para modelar esta rua?
Primeira coisa é fazer aparecer a tela de edição de corridor:


Aí, vá até a aba Surfaces:


Clique aquele botão marcado na figura. Isso irá adicionar uma superficie na lista, agora, na caixa "Add Data" deixe "Links" selecionado, e em "Specify Code", escolha "Datum" e clique o botão "+", vai ficar assim:



Veja que defini um nome e um estilo para a superfície que estou criando...
Clique os OK que precisar...
Vai aparecer isso:

Veja que liguei a triangulação do terreno e da superfície que acabei de fazer (editando o estilo de ambas)

Não Muito útil ainda, pois a triangulação da superfície da rua está errada!! Por que esta errada? Porque existem triângulos modelados fora da área de abrangência da curva...

Vamos arrumar ela, volte nas propriedades do corridor, e vá para aba "Boundaries" e faça isso:


pronto, clique os OK e ficará assim:


É bom salientar que este não é o único meio de adicionar "boundary" a esta superfície para arrumar sua triangulação, e nas interseções de corridors você saberá porque...

Bom, agora no menu Surfaces, Utilities, Volumes, crie uma nova entrada na tela que se abre e defina das superfícies assim:


Bem... temos o volume...está bom? não sei... tem que analizar... provavelmente poderíamos editar o greide e obter volumes de corte mais próximos dos volumes de aterro...
Mas aí é engenharia.... e engenharia é com você !!! hehehehe

Temos o corridor, ou estrada, temos os taludes, mas.... cadê a convenção de talude (o "pente")?

Volte nas propriedades do corridor (seguindo o método acima) e vá na aba "Slope Paterns", clique o botão "Add Slope Patern>>". O civil 3d irá te pedir para selecionar a "First Feature Line" (lembra que mencionei ela acima?)
escolha a linha mais externa:



Talvez aparece uma telinha assim:



Isso acontece quando mais de uma feature line foi desenhada na mesma posição...
O Subassembly Daylight sempre desenhas as feature lines "DayLight", "Hinge", "DayLight Cut", "DayLight Fill", "Hinge Cut" e "Hinge Fill". Escolha sempre e "DayLight" e "Hinge" para desenhar a convenção.

Selecionada a primeira feature line, ele irá pedir para selecionar a segunda:



De novo pode aparecer:

Escolha "Hinge"

Assim, sua convenção irá ser desenhada por estes pontos:



E em planta ficará assim:



Bom, por em quanto é isso...
Baixe aqui este corridor

LinkWithin

Related Posts Plugin for WordPress, Blogger...